MODX Evo Custom v1.1b-d7.1.5 (09.01.2015)

1.1RC-d7.1.5
— TinyMCE4 (нужно вынести настройки в настройки в остальном все ок)
— KCFinder 2.54 + поддержка работы на мобаил
— добавил в DocManager обработку @EVAL
— fix Капча 2 eForm #194
— fix some errors from version 7.1.4

1.1b-d7.1.4
— Поддержка PHP7
— Обновление install с mysql до mysqli (для php7)
— eForm валидный html для input с типом file и image
— Обновление robots.txt
— Замена __autoload на spl_autoload_register
— fix рендер параметров для типа list-multi
— изменение функции rewriteUrls по ошибке (для php7)
— ctrl + S, cmd + S теперь работают в админке для сохранения

Скачать как всегда можно тут:
modx.com.ua/
github.com/dmi3yy/modx.evo.custom/

56 комментариев

avatar
Идет нормальная установка до шага install/index.php?action=install и тут появляется «Результаты установки» и все. Больше ничего на странице нет.
Была версия php5.3 поставил 6 — все то же.
Самое противное, что никаких ошибок не пишет.
  • Shin
  • 0
avatar
Идет нормальная установка до шага install/index.php?action=install и тут появляется «Результаты установки» и все. Больше ничего на странице нет.
Аналогично
avatar
Смотрите ниже. Там кавычки не заэкранированы.
avatar
Ага, спасибо
avatar
Папка install не удалилась.
На странице manager/ пишет «Could not load DBAPI class.»
При повторной установке предлагает выбор обновления, значит конфиг есть.
  • Shin
  • 0
avatar
  • Shin
  • 0
avatar
Спасибо большое, закомитил
avatar
Вам спасибо за работу.
avatar
В таблице modx_categories id категорий есть, а из названий только Content.
Соответственно селект «Существующие категории» не отображает названия
  • Shin
  • 0
avatar
А это где такая бага?
avatar
В чанках, шаблонах, TV там где селект существующие категории и возможность прописать новую.
avatar
Ага увидел, это где то тут ошибка:
github.com/dmi3yy/modx.evo.custom/blob/master/install/instprocessor.php#L876-L895
avatar
вот походу тут как то странно инстерт проходит вот и отваливается в mysqli
github.com/dmi3yy/modx.evo.custom/blob/master/install/instprocessor.php#L887
avatar
Все банально :) исправил
avatar
Еще не знаю, может это только у меня. При установке не прописало правильную кодировку базе и соответственно таблицам. Пришлось менять.
  • Shin
  • 0
avatar
Вчера переписывал mysql на mysqli в инстале тестил только на одном сервере еще и с php7 было все ок, но мог что то упустить
avatar
Может это с настройками сервера связано. Надо было сразу мне проверить, когда SET NAMES запросило вместо того, что по умолчанию.
avatar
а помойму никогда само не изменяло кодировку я как то хотел поправить но так руки и не дошли
avatar
Ребята, я так и не понял в чём ошибка. Скачал версию с сайта modx.com.ua и получаю Результаты установки и тишина.

Смотрите ниже. Там кавычки не заэкранированы.

Где ниже? Я так понял на сайте архив не перелили с правкой?
  • qsl
  • 0
avatar
Скачал версию с github — всё нормально поставилось
avatar
Нашел маленький глюк, если скрывать лишние поля, остаётся вот это:

  • qsl
  • 0
avatar
поправил
avatar
Напишите в каком файле, чтобы все не переливать. Спасибо
avatar
avatar
Еще одна проблема.

Если в шаблоне прописан

[[Ditto? &startID=`[*id*]`
&tpl=`spis`
&orderBy=`menuindex ASC`
&showInMenuOnly=`1`
]]

и не сущ. чанка spis — белая страница без ошибок
  • qsl
  • 0
avatar
правильно ибо чанк должен быть :)
видел ошибку но не добрался
avatar
Дмитрий, спасибо тебе за твою работу!
вчера задонатил 1000 руб. С Новым Годом!
avatar
Спасибо за поздравления ;)

Обновил до 7.1.5
Список изменений на modx.com.ua
Или на гит
Из самого полезного это ТиниМСЕ 4
avatar
1.1RC-d7.1.5
— TinyMCE4 (нужно вынести настройки в настройки в остальном все ок)
— KCFinder 2.54 + поддержка работы на мобаил
— добавил в DocManager обработку @EVAL
— fix Капча 2 eForm #194
— fix some errors from version 7.1.4
avatar
>— TinyMCE4 (нужно вынести настройки в настройки в остальном все ок)
а можно самому мне это настроить? а то установил, но без — TinyMCE4 грустно и нечего показать заказчикам возможным :(
avatar
В настройках просто выберите редактор TinyMCE4 и все будет:)
уже исправил в сборке ( github.com/dmi3yy/modx.evo.custom/commit/47c845b4b089c7aa40f98e7fff327e143eee313a )
avatar
возможно сайт на поддомене, НО кнопки TinyMCE4 не выводятся :(
avatar
Доброго времени суток
в Интерфейс и представление при выборе редактора TinyMCE4
нет блока Настройки TinyMCE для расширенных нассроек, это особенность сборки?
avatar
Написано ж в релизе:
— TinyMCE4 (нужно вынести настройки в настройки в остальном все ок)
avatar
Вот я так и не понял куда что писать, в настройках кроме выбора типа редактора ничего нет. модуль, настройки с предыдущих версий не воспринимает. Можно подробнее какие настройки и куда внести?
avatar
assets\plugins\tinymce4\plugin.class.inc.php
c 76 строки настройки начинаются
Комментарий отредактирован 2016-03-17 22:39:41 пользователем dimondvp
avatar
Не подцепляется в MultiTV для полей richtext, настройки брал из multicontent.congig.inc.php
Старый TinyMCE работал, проверил на старых сайтах, везде норм встало, а вчера поднял новый сайт на 1.1RC-d7.1.5 и MCE4 не хочет цепляться.
avatar
Спасибо надо будет проверить
avatar
В целом все вопросы поделания предложения по tinymce4 можно сюда: github.com/dmi3yy/tinymce4-for-modx-evo/issues/
avatar
Обновил сайт с 1.0.10 до текущей версии (брал с гитхаба). В форме обр. связи не работает капча. Выдает «неверный код подтверждения». Тотальный «no pasaran!» получается :)
avatar
А сам eform обновлял?
я там вносил 1 правку но не тестил :)) ибо по виду все логично было :)
avatar
Обновлялся путем заливки дистра поверх файлов сайта. Думаю, что и eform должен был обновиться. Версия 1.4.6 в админке стоит
avatar
avatar
подозреваю что тут не коректно )
нодо $_GET['formid'] поменять на ReQUEST
avatar
Изменил $_GET['formid'] на ReQUEST — не работает.
Изменил
if(isset($_GET['formid'])){
            $_SESSION['veriword_'.$_GET['formid']]   = $this->word;
        }else{ 
            $_SESSION['veriword']   = $this->word;
        }

на
$_SESSION['veriword']   = $this->word;

— не работает.
avatar
Установил с гитхаба. На переход в папку /manager — error 500…
Версия PHP:5.2.17

Комментарий отредактирован 2016-01-27 18:51:12 пользователем andrevg
avatar
Наверное очевидно, что нужно поднять версию php на сервере? :)
avatar
Опытным путём выяснил, что такая фигня и с более старыми дистрибами происходит… Т.е. не в версии php дело.
avatar
Как раз в версии. Уже пару лет как нужно >=5.3, да и 5.2 и 5.3 уже не поддерживаются, оптимально 5.4 поставить.

Evo requirements

Строчка excluding 5.2.0 как бы намекает.

Minimum Requirements
PHP version 5.2-5.4 (excluding 5.2.0)(Some extras require at least PHP 5.3+)
avatar
Спасибо!
Пора менять виртуальный хостинг…
avatar
Давно уже работа только с 5.3 и выше
вообще рекомендую ставить 7 )
avatar
та же ботва…
«Результаты установки» в крокозяблах…
«Инсталл» не удаляется и в «манагер» перебрасывается при рефреше страницы вручную… — но там пусто)
пришлось поставить
1.1b-d7.0.18 — єта старая, но ставится отлично…
в ней все работает:

Версия базы данных: 5.5.45-cll-lve
Кодировка базы данных utf8
Сопоставление базы данных utf8_general_ci

как доустановить, добавить изменения?
Комментарий отредактирован 2016-02-04 15:23:08 пользователем LSV
  • LSV
  • 0
avatar
Версия php какая?
если 5.2 то все логично ибо уже как пару лет MODX EVO работает начиная с версии 5.3
avatar
Всем привет. Подскажите как в tinymce подключить кнопки вставить с ворда.
  • qsl
  • 0
avatar
она больше не нужна просто вставляйте и все :)
avatar
При копировании с другого сайта тексты, захватывается верстка. Спаны, дивы и т.д Это форматировании не нужно(
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.